Create rule exception list items
- Base URL
-
https://{kibana_url}
- POST /api/detection_engine/rules/{id}/exceptions
- POST /s/{space_id}/api/detection_engine/rules/{id}/exceptions
Create exception items that apply to a single detection rule.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
Rule exception list items
Responses
Successful response
<array>object[]-
commentsobject[]required -
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
item_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
list_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
Invalid input data response
Unsuccessful authentication response
Not enough privileges response